/*
 * Estensione dell'esercizio LibroMastro contenente: 
 * 1) una classe che rappresenta le vendite con le 
 * informazioni:
 * - venditore 
 * - importo
 * 2) un costruttore con parametro massimo che inizializza 
 * a massimo il numero massimo di vendite.
 * Inoltre prevedere:
 * a) un metodo che aggiunga una vendita
 * b) un metodo che restituisca il venditore che ha 
 *    effettuato la vendita con l'importo pi alto.
 * 
 */

public class LibroMastroEsteso {

	private Vendita[] vendite;
	private int venditeEffettuate;
	
	public LibroMastroEsteso(){
		this(null,0);
	}
	
	public LibroMastroEsteso(Vendita[] v, int n){
		vendite = v;
		venditeEffettuate = n;
	}
	
	public LibroMastroEsteso(int massimo){
		vendite = new Vendita[massimo];
		venditeEffettuate = 0;
	}
	
	public void aggiungiVendita(Vendita v){
		if(venditeEffettuate<vendite.length){
			vendite[venditeEffettuate] = v;
			venditeEffettuate++;
		}
		else
			System.out.println("Errore. Impossibile inserire la vendita");
	}
	
	public int getVenditeEffettuate(){
		return venditeEffettuate;
	}
	
	public Vendita[] getVendite(){
		return vendite;
	}
	
	public void setVenditeEffettuate(int n){
		venditeEffettuate = n;
	}
	
	public void setVendite(Vendita[] v){
		vendite = v;
	}
	
	public double totaleVendite(){
		double totale = 0;
		for(int i=0; i<venditeEffettuate; i++)
			totale += vendite[i].getImporto();
		return totale;
	}
	
	public double mediaVendite(){
		return totaleVendite()/venditeEffettuate;
	}
	
	public int venditeAlDiSopra(double v){
		int numSopra=0;
		for(int i=0; i<venditeEffettuate;i++)
			if(vendite[i].getImporto() > v)
				numSopra++;
		return numSopra;
	}
	
	public String venditoreImportoPiuAlto(){
		String venditore = "";
		double importoMax=0;
		for(int i=0; i<venditeEffettuate; i++){
			if(vendite[i].getImporto()>importoMax){
				venditore = vendite[i].getVenditore();
				importoMax = vendite[i].getImporto();
			}
		}
		return venditore;
	}
	
	// metodo alternativo in cui si tiene solo la posizione del massimo
	/*
	public String venditoreImportoPiuAlto(){
		String venditore = "";
		if(venditeEffettuate>0){
			int max=0;
			for(int i=1; i<venditeEffettuate; i++)
				if(vendite[i].getImporto() > vendite[max].getImporto())
					max = i;
			venditore = vendite[max].getVenditore();
		}
		return venditore;
	}
	*/

}
