/*
 * Classe di test di LibroMastroEsteso.
 * 
 * Creare un libro mastro per un dato numero di vendite
 * indicato dall'utente e inserire le vendite specificate
 * dall'utente.
 * Stampare alcune statistiche sulle vendite:
 * - totale delle vendite
 * - importo medio delle vendite
 * - numero di vendite al di sopra di un valore di 
 *   riferimento fornito dall'utente
 * - venditore che ha riportato l'importo pi alto
 * 
 */

import java.util.*;

public class TesterLibroMastroEsteso {
	
	public static final int MAX_VENDITE = 1000;
	
	public static void main(String[] args){
		
		Scanner tastiera = new Scanner(System.in);
		
		System.out.print("Inserire il numero di vendite da registrare: ");
		int numVendite = tastiera.nextInt();
		LibroMastroEsteso libroMastro = new LibroMastroEsteso(MAX_VENDITE);
		
		// fase di acquisizione delle vendite
		System.out.println("Inserire i dati delle "+numVendite+" vendite: ");
		for(int i=0; i<numVendite;i++){
			System.out.println("Vendita n "+(i+1)+": ");
			System.out.print("Venditore: ");
			String venditore = tastiera.next();
			System.out.print("Importo: ");
			double importo = tastiera.nextDouble();
			Vendita v = new Vendita(venditore, importo);
			libroMastro.aggiungiVendita(v);
		}
		
		// fase di stampa delle statistiche
		System.out.println("Il totale delle vendite : "+libroMastro.totaleVendite());
		System.out.println("L'importo medio delle vendite : "+libroMastro.mediaVendite());
		System.out.print("Inserire l'importo di riferimento: ");
		double importo = tastiera.nextDouble();
		System.out.println("Il numero di vendite al di sopra dell'importo "+importo+" : "+libroMastro.venditeAlDiSopra(importo));
		System.out.println("Il venditore che ha riportato l'importo pi alto : "+libroMastro.venditoreImportoPiuAlto());
		tastiera.close();
	}

}
